autogen.sh 2.04 KB
Newer Older
1 2 3 4
#!/bin/sh
# Run this to generate all the initial makefiles, etc.

srcdir=`dirname $0`
5
PKG_NAME="cryptsetup"
6 7 8

DIE=0

9 10 11 12 13 14 15 16
(autopoint --version) < /dev/null > /dev/null 2>&1 || {
  echo
  echo "**Error**: You must have autopoint installed."
  echo "Download the appropriate package for your distribution,"
  echo "or see http://www.gnu.org/software/gettext"
  DIE=1
}

17 18
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
  echo
19
  echo "**Error**: You must have autoconf installed to."
20 21 22 23 24
  echo "Download the appropriate package for your distribution,"
  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
  DIE=1
}

25
(grep "^AM_PROG_LIBTOOL" $srcdir/configure.ac >/dev/null) && {
26 27
  (libtool --version) < /dev/null > /dev/null 2>&1 || {
    echo
28
    echo "**Error**: You must have libtool installed."
29 30 31 32 33 34 35 36
    echo "Get ftp://ftp.gnu.org/pub/gnu/"
    echo "(or a newer version if it is available)"
    DIE=1
  }
}

(automake --version) < /dev/null > /dev/null 2>&1 || {
  echo
37
  echo "**Error**: You must have automake installed."
38 39 40 41 42 43 44 45 46 47
  echo "Get ftp://ftp.gnu.org/pub/gnu/"
  echo "(or a newer version if it is available)"
  DIE=1
  NO_AUTOMAKE=yes
}


# if no automake, don't bother testing for aclocal
test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
  echo
48
  echo "**Error**: Missing aclocal.  The version of automake"
49 50 51 52 53 54 55 56 57 58
  echo "installed doesn't appear recent enough."
  echo "Get ftp://ftp.gnu.org/pub/gnu/"
  echo "(or a newer version if it is available)"
  DIE=1
}

if test "$DIE" -eq 1; then
  exit 1
fi

59 60 61 62 63 64 65 66
echo
echo "Generate build-system by:"
echo "   autopoint:  $(autopoint --version | head -1)"
echo "   aclocal:    $(aclocal --version | head -1)"
echo "   autoconf:   $(autoconf --version | head -1)"
echo "   automake:   $(automake --version | head -1)"
echo "   libtoolize: $(libtoolize --version | head -1)"
echo
67 68


69 70 71 72 73
set -e
autopoint --force $AP_OPTS
libtoolize --force --copy
aclocal -I m4 $AL_OPTS
autoheader $AH_OPTS
74
automake --add-missing --copy --gnu $AM_OPTS
75
autoconf $AC_OPTS
76

77 78 79
echo
echo "Now type '$srcdir/configure' and 'make' to compile."
echo